#######################################
# Skrypt Windows PowerShell: Wyświetlanie GUI
# (C) dr Holger Schwichtenberg
# http://www.windows-scripting.com
########################################
# Ładowanie biblioteki Windows Forms
[System.Reflection.Assembly]::LoadWithPartialName("System.windows.forms")
# Tworzenie okna
$form = new-object "System.Windows.Forms.Form"
$form.Size = new-object System.Drawing.Size @(200,200)
$form.topmost = $true
$form.text = "Rejestracja"
# Tworzenie panelu układu
$panel = new-object "System.Windows.Forms.flowlayoutpanel"
$panel.Dock = [System.Windows.Forms.DockStyle]::Fill
$form.Controls.Add($panel)
# Tworzenie elementów sterujących
$L1 = new-object "System.Windows.Forms.Label"
$L2 = new-object "System.Windows.Forms.Label"
$L3 = new-object "System.Windows.Forms.Label"
$T1 = new-object "System.Windows.Forms.Textbox"
$T2 = new-object "System.Windows.Forms.Textbox"
$T3 = new-object "System.Windows.Forms.Textbox"
$B1 = new-object "System.Windows.Forms.Button"
# Etykiety
$L1.Text = "Imię i nazwisko:"
$L2.Text = "E-Mail:"
$L3.Text = "Witryna:"
$B1.Text = "Zarejestruj!"
# Ustalanie rozmiaru
$T1.Width = 180
$T2.Width = 180
$T3.Width = 180
# Dodawanie elementów sterujących do panelu
$panel.Controls.Add($L1)
$panel.Controls.Add($T1)
$panel.Controls.Add($L2)
$panel.Controls.Add($T2)
$panel.Controls.Add($L3)
$panel.Controls.Add($T3)
$panel.Controls.Add($B1)
# Wiązanie zdarzeń
$reg = $false
$B1.add_Click({$reg = $true; $Form.close()})
# Wyświetlanie okna
$form.showdialog()
# Wyświetlanie pobranych danych
if ($reg)
{
    "Wprowadziłeś: " + $T1.Text + ";" + $T2.Text + ";" + $T3.Text
}
else
{
    "Przerwałeś wprowadzanie danych!"
}
